.feedback_div {
    border-top: 1px solid var(--main-color);
    padding: var(--padding-block);
    padding-top: 20px;
    padding-bottom: 20px;
}

.feedback {
    background-color: var(--footer-bg);
    padding: 20px;
    border-radius: var(--br);
    border: 1px solid transparent;
    transition: var(--trans);
}

.feedback:hover {
    background-color: var(--body-background-color);
    border-color: var(--main-color);
}

.feedback_title {
    margin: 0;
    margin-bottom: 20px;
    background: var(--gradient-text);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    width: max-content;
    max-width: 100%;
    font-size: 32px;
    font-weight: 300;
}

.feedback_form {
    display: flex;
    flex-direction: row;
    align-items: end;
    gap: 20px;
}

.feedback_field {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    min-width: 0;
}

.feedback_label {
    font-size: 20px;
    font-weight: 300;
    color: var(--main-color);
    margin-bottom: 5px;
}

.feedback_input {
    font-size: 20px;
    font-weight: 400;
    line-height: 30px;
    padding: 10px 20px;
    background-color: var(--body-background-color);
    border-radius: var(--br);
    border: 1px solid transparent;
    outline: none;
    appearance: none;
    color: var(--main-color);
    transition: var(--trans);
}

.feedback_input:focus {
    border-color: var(--main-color);
    color: var(--hover-color);
}

.feedback_input:invalid {
    color: red;
}

.feedback_btn {
    flex: 0 0 auto;
    border: 1px solid transparent;
    background-color: var(--main-color);
    padding: 10px 30px;
    min-width: 200px;
    font-size: 20px;
    font-weight: 300;
    line-height: 30px;
    color: var(--footer-bg);
    border-radius: var(--br);
    cursor: pointer;
    transition: var(--trans);
}

.feedback_btn:hover {
    background-color: var(--hover-color);
    scale: var(--scale-img);
}

@media only screen and (max-width: 860px) {
    .feedback_form {
        flex-direction: column;
        align-items: stretch;
        gap: 15px;
    }

    .feedback_title {
        width: unset;
        font-size: 28px;
    }
}

@media only screen and (max-width: 640px) {
    .feedback {
        padding: 15px;
    }

    .feedback_label {
        font-size: 18px;
    }

    .feedback_input, .feedback_btn {
        font-size: 18px;
    }

    .feedback_btn {
        width: 100%;
        min-width: unset;
    }
}
